com.privatejgoodies.forms.layout

## Class FormLayout.LayoutInfo

- java.lang.Object
- - com.privatejgoodies.forms.layout.FormLayout.LayoutInfo

Enclosing class:
  FormLayout

    public static final class FormLayout.LayoutInfo
    extends Object

Stores column and row origins.

### Field Summary

Fields
`int[]` `columnOrigins` Holds the origins of the columns.
`int[]` `rowOrigins` Holds the origins of the rows.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getHeight()` Returns the layout's height, the size between the first and last row.
`int` `getWidth()` Returns the layout's width, the size between the first and the last column origin.
`int` `getX()` Returns the layout's horizontal origin, the origin of the first column.
`int` `getY()` Returns the layout's vertical origin, the origin of the first row.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### columnOrigins

    public final int[] columnOrigins

Holds the origins of the columns.

#### rowOrigins

    public final int[] rowOrigins

Holds the origins of the rows.

### Method Detail

#### getX

    public int getX()

Returns the layout's horizontal origin, the origin of the first column.

Returns:
  the layout's horizontal origin, the origin of the first column.

#### getY

    public int getY()

Returns the layout's vertical origin, the origin of the first row.

Returns:
  the layout's vertical origin, the origin of the first row.

#### getWidth

    public int getWidth()

Returns the layout's width, the size between the first and the last column origin.

Returns:
  the layout's width.

#### getHeight

    public int getHeight()

Returns the layout's height, the size between the first and last row.

Returns:
  the layout's height.